Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudioConfig.java
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudioConfig.java	(revision 384)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudioConfig.java	(revision 385)
@@ -94,6 +94,7 @@
 	
 	@BlazeDsMethod()
-	public GSSimStudioConfigModel getPropertyValue(String property) {
+	public GSSimStudioConfigModel getPropertyValue(String property, Integer index) {
 		GSSimStudioConfigModel model = (GSSimStudioConfigModel) VineFlexUtilClass.getUIModel();
+		model.setSelectedIndex(index);
 		Connection connection = null;
 		try {
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudioConfigModel.java
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudioConfigModel.java	(revision 380)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudioConfigModel.java	(revision 385)
@@ -70,3 +70,13 @@
 		this.error = error;
 	}
+	
+	private int selectedIndex;
+	
+	public int getSelectedIndex(){
+        return selectedIndex;
+    }
+
+    public void setSelectedIndex(int selectedIndex){
+        this.selectedIndex=selectedIndex;
+    }
 }
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfig.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfig.mxml	(revision 384)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfig.mxml	(revision 385)
@@ -24,4 +24,5 @@
 		<![CDATA[
 			import gssim.gssimstudio.editor.gssim.skins.IconButtonSkin;
+			import ï»¿mx.rpc.events.ResultEvent;
 			
 			[Bindable]
@@ -39,4 +40,6 @@
 				
 				bindModel("model");
+				
+				addModelUpdatedResultCallback(selectIndex);
 				
 				service.getApplicationPropertyTypesFromDb();
@@ -56,4 +59,15 @@
 				resourceManager.localeChain = loc;
 			} 			
+			
+			private function onServerComboChange(ev:Event):void{
+				var selectedIndex :Number= property_combo.selectedIndex;
+				var o:Object = null;
+				o = ev.target.selectedItem;
+				service.getPropertyValue(property_combo.text, selectedIndex);
+			}
+			
+			private function selectIndex(event:ResultEvent):void{
+				property_combo.selectedIndex = model.selectedIndex;
+			}
 		]]>
 	</fx:Script>
@@ -61,8 +75,8 @@
 	<mx:VBox width="100%" height="100%">
 		
-		<mx:ComboBox id="property_combo" dataProvider="{model.propertyList}" change="{service.getPropertyValue(property_combo.text);}"/>
+		<mx:ComboBox id="property_combo" dataProvider="{model.propertyList}" change="{onServerComboChange(event);}" />
 		<mx:TextArea id="property_value" text="{model.value}" width="100%" height="100%" />
 		<mx:Button label="{resourceManager.getString('Common', 'Change')}" click="{service.saveProperty(property_combo.text, property_value.text);}" />
-		<mx:TextArea text="{model.error}" enabled="false" width="100%"/>
+		<mx:TextArea text="{model.error}" width="100%"/>
 		
 		<components:RollOutMenu width="100%" height="100%" selectable="true" id="languageMenu">
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfigModel.as
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfigModel.as	(revision 380)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfigModel.as	(revision 385)
@@ -15,4 +15,5 @@
 		public var value : String;
 		public var error : String;
+		public var selectedIndex : Number;
 		
 		public var propertyList:ArrayCollection;