Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/experiment/ExperimentProperties.as
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/experiment/ExperimentProperties.as	(revision 238)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/experiment/ExperimentProperties.as	(revision 408)
@@ -52,5 +52,5 @@
 			
 			 //set default output folder:
-			properties[statsOutputFolder] = "../../output/experiment_result";
+			properties[statsOutputFolder] = "../output/experiment_result";
 			//set default values for plugins
 			properties[gridSchedulingPlugin] = null;
@@ -120,5 +120,5 @@
 		public function setWorkloadFile(file : String) : void
 		{
-			properties[workloadFile] = "input/workloads/" + file;
+			properties[workloadFile] = "$INPUT/" + file;
 			workload = file;
 		}
@@ -126,5 +126,5 @@
 		public function setTopologyFile(file : String) : void
 		{
-			properties[networkTopologyFile] = "input/topologies/" + file;
+			properties[networkTopologyFile] = "$INPUT/" + file;
 			topology = file;
 		}
@@ -132,5 +132,5 @@
 		public function setResourceFile(file : String) : void
 		{
-			properties[resourceDescriptionFile] = "input/resources/" + file;
+			properties[resourceDescriptionFile] = "$INPUT/" + file;
 			resources = file;
 		}
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 391)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 408)
@@ -98,5 +98,5 @@
 				
 				parentApplication.service.uploadAndSubmitExperiment
-					(propertyFileName, experiment.toString());
+					(propertyFileName, experiment.toString(), experiment.workload, experiment.resources, experiment.topology);
 			}
 			
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/DatabaseHelper.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/DatabaseHelper.java	(revision 370)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/DatabaseHelper.java	(revision 408)
@@ -56,3 +56,8 @@
 	 */
 	protected String jdOutputLocation = "$OUTPUT_LOCATION";
+	
+	/**
+	 * Properties input data location
+	 */
+	protected String pInputLocation = "$INPUT";
 }
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 407)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 408)
@@ -161,5 +161,5 @@
     
     @BlazeDsMethod()
-	public GSSimStudioModel uploadAndSubmitExperiment(String destFileName, String fileContent) throws IOException {
+	public GSSimStudioModel uploadAndSubmitExperiment(String destFileName, String fileContent, String workload, String resources, String topology) throws IOException {
     	GSSimStudioModel model = getModel();
     	
@@ -168,4 +168,6 @@
 		Integer expId = addExperimentToDb(expName, metaexpName);
 		fileContent += "experiment.id="+expId.toString();
+		String uniqueFolderName = "tmp" + String.valueOf(new Date().getTime());
+		fileContent = fileContent.replace(pInputLocation, uniqueFolderName)
 		uploadPropertyFile(destFileName, fileContent);
 		
@@ -250,4 +252,13 @@
             String destination = gssimInput + "/" + uniqueFolderName + "/";
             copyFile(gssimInput + "/" + destFileName, destination);
+            if (workload != null && !workload.isEmpty()) {
+            	copyFile(gssimInput + "/workloads/" + workload, destination);
+            }
+            if (resources != null && !resources.isEmpty()) {
+            	copyFile(gssimInput + "/resources/" + resources, destination);
+            }
+            if (topology != null && !topology.isEmpty()) {
+            	copyFile(gssimInput + "/topologies/" + topology, destination);
+            }
 			
 		} catch (SQLException e) {