Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 389)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 416)
@@ -78,8 +78,19 @@
 			}
 			
+			private function experimentsRemoved(event : ResultEvent) : void
+			{
+				Alert.show(resourceManager.getString("ArchiveViewer", "ExperimentsRemovedMessage"));
+			}
+			
 			public function addExperimentsToExperimentEditor() : void
 			{
 				var array:ArrayCollection = getSelectedExperimentsPKs();
 				parentApplication.addModelUpdatedSingleCallbacks(parentApplication.service.getExperimentConfiguration(array), configurationsLoaded);
+			}
+			
+			public function removeAll() : void
+			{
+				var array:ArrayCollection = getSelectedExperimentsPKs();
+				parentApplication.addModelUpdatedSingleCallbacks(parentApplication.service.deleteExperiments(array), experimentsRemoved);
 			}
 			
@@ -133,4 +144,11 @@
 					parentApplication.service.changeExperimentsMetaexperiment(getSelectedExperimentsPKs(), moveToFolderInput.text);
 				}
+				showMoveToFolderPrompt(false);
+			}
+			
+			public function showMoveToFolderPrompt(show : Boolean = true) : void
+			{
+				moveToFolderPrompt.visible = show;
+				moveToFolderPrompt.includeInLayout = show;
 			}
 			
@@ -243,222 +261,4 @@
 			<s:Button label="{resourceManager.getString('ArchiveViewer', 'Refresh')}" click="getExperiments()"/>
 			
-			<!--
-			<mx:TabNavigator paddingLeft="5" creationPolicy="all" width="100%">
-				<mx:VBox label="Allocations" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.allocationList}" rowHeight="35" id="allocationsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="PK" headerText="PK"/>
-							<mx:DataGridColumn dataField="taskId" headerText="Task ID"/>
-							<mx:DataGridColumn dataField="unitId" headerText="Unit ID"/>
-							<mx:DataGridColumn dataField="begin" headerText="begin"/>
-							<mx:DataGridColumn dataField="end" headerText="end"/>
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get allocations from DB" click="{parentApplication.service.getAllocationsFromDb(null, null)}"/>
-				</mx:VBox>	
-				
-				<mx:VBox label="Allocation details" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.allocationDetailsList}" rowHeight="35" id="allocationDetailsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkAllocationId" headerText="Allocation Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="value" headerText="Value"/>
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get allocation details from DB" click="{parentApplication.service.getAllocationDetailsFromDb(null)}"/>
-				</mx:VBox>	
-				
-				<mx:VBox label="Configuration" width="100%">
-					<mx:TextArea id="net" text="{parentApplication.gsSimStudioModel.extendedConfiguration.networkTopology}" width="100%" height="100%" editable="false"/>
-					<s:Button label="Get configuration with id 2 from DB" click="{parentApplication.service.getExtendedConfigurationFromDb(2); ln.enabled=true;}"/>
-					<s:Button label="Load the configuration to Network Editor" click="{loadNetwork();}" enabled="false" id="ln"/>
-				</mx:VBox>
-			
-				<mx:VBox label="{resourceManager.getString('ArchiveViewer', 'Experiments')}" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.experimentList}" rowHeight="35" id="experimentsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="PK" headerText="{resourceManager.getString('ArchiveViewer', 'ID')}"/>
-							<mx:DataGridColumn dataField="status" headerText="{resourceManager.getString('ArchiveViewer', 'Status')}"/>
-							<mx:DataGridColumn dataField="commissionDate" headerText="{resourceManager.getString('ArchiveViewer', 'Description')}"/>
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get experiments from DB" click="{parentApplication.service.getExperimentsFromDb(null, null, null)}"/>
-				</mx:VBox>
-			
-				<mx:VBox label="Experiment stats" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.experimentStatsList}" rowHeight="35" id="experimentStatsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="id" headerText="Experiment Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="value" headerText="Value"/>
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get experiment stats from DB" click="{parentApplication.service.getExperimentStatsFromDb(null)}"/>
-				</mx:VBox>	
-				
-				<mx:VBox label="Queues" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.queuesList}" rowHeight="35" id="queuesDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkResourceId" headerText="Resource Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="avgLength" headerText="Avg length"/>
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get queues from DB" click="{parentApplication.service.getQueuesFromDb(null)}"/>
-				</mx:VBox>	
-				
-				
-				<mx:VBox label="Reservations" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.reservationList}" rowHeight="35" id="reservationsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="PK" headerText="PK"/>
-							<mx:DataGridColumn dataField="taskId" headerText="Task Id"/>
-							<mx:DataGridColumn dataField="unitId" headerText="Unit Id"/>
-							<mx:DataGridColumn dataField="begin" headerText="Begin"/>
-							<mx:DataGridColumn dataField="end" headerText="End"/>							
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get reservations from DB" click="{parentApplication.service.getReservationsFromDb(null, null)}"/>
-				</mx:VBox>		
-				
-				<mx:VBox label="Reservation details" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.reservationDetailsList}" rowHeight="35" id="reservationDetailsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkReservationId" headerText="Reservation Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="value" headerText="Value"/>						
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get reservations from DB" click="{parentApplication.service.getReservationDetailsFromDb(null)}"/>
-				</mx:VBox>								
-				
-				<mx:VBox label="Resources" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.resourceList}" rowHeight="35" id="resourcesDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="PK" headerText="PK"/>
-							<mx:DataGridColumn dataField="expId" headerText="Experiment Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="type" headerText="Type"/>
-							<mx:DataGridColumn dataField="allocationLoad" headerText="Allocation load"/>				
-							<mx:DataGridColumn dataField="reservationLoad" headerText="Reservation load"/>
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get resources from DB" click="{parentApplication.service.getResourcesFromDb(null, null, null)}"/>
-				</mx:VBox>								
-			
-				<mx:VBox label="Resource alloctaion timeline" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.resourceAllTimelineList}" rowHeight="35" id="resourceAllTimelinesDetailsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkResourceId" headerText="Resource Id"/>
-							<mx:DataGridColumn dataField="timestamp" headerText="Timestamp"/>
-							<mx:DataGridColumn dataField="usage" headerText="Usage"/>						
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get resource allocation timeline from DB" click="{parentApplication.service.getResourceAllTimelineFromDb(null, null, null)}"/>
-				</mx:VBox>			
-			
-				<mx:VBox label="Resource energy timeline" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.resourceEnTimelineList}" rowHeight="35" id="resourceEnTimelinesDetailsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkResourceId" headerText="Resource Id"/>
-							<mx:DataGridColumn dataField="timestamp" headerText="Timestamp"/>
-							<mx:DataGridColumn dataField="usage" headerText="Usage"/>						
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get resource energy timeline from DB" click="{parentApplication.service.getResourceEnTimelineFromDb(null, null, null)}"/>
-				</mx:VBox>										
-				
-				<mx:VBox label="Tasks" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.taskList}" rowHeight="35" id="tasksDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="PK" headerText="PK"/>						
-							<mx:DataGridColumn dataField="expId" headerText="Experiment Id"/>
-							<mx:DataGridColumn dataField="jobId" headerText="Job Id"/>
-							<mx:DataGridColumn dataField="taskId" headerText="Task Id"/>
-							<mx:DataGridColumn dataField="procSetId" headerText="Proceess set Id"/>
-							<mx:DataGridColumn dataField="parentId" headerText="Parent Id"/>
-							<mx:DataGridColumn dataField="execStartDate" headerText="Exec start date"/>
-							<mx:DataGridColumn dataField="execFinishDate" headerText="Exec finish date"/>
-							<mx:DataGridColumn dataField="execEndDate" headerText="Exec end date"/>
-							<mx:DataGridColumn dataField="gbSubmitDate" headerText="Gb submit date"/>
-							<mx:DataGridColumn dataField="lbSubmitDate" headerText="Lb Submit Date"/>
-							<mx:DataGridColumn dataField="completionTime" headerText="Completion Time"/>
-							<mx:DataGridColumn dataField="execStartTime" headerText="Exec start time"/>
-							<mx:DataGridColumn dataField="executionTime" headerText="Execution time"/>
-							<mx:DataGridColumn dataField="startTime" headerText="Start time"/>
-							<mx:DataGridColumn dataField="readyTime" headerText="Ready time"/>
-							<mx:DataGridColumn dataField="flowTime" headerText="Flow time"/>
-							<mx:DataGridColumn dataField="waitingTime" headerText="Waiting time"/>
-							<mx:DataGridColumn dataField="gqWaitingTime" headerText="Gq waiting time"/>
-							<mx:DataGridColumn dataField="lateness" headerText="Lateness"/>
-							<mx:DataGridColumn dataField="tardiness" headerText="Tardiness"/>
-							<mx:DataGridColumn dataField="makespan" headerText="Makespan"/>							
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get tasks from DB" click="{parentApplication.service.getTasksFromDb(null, null, null, null, null)}"/>
-				</mx:VBox>											
-				
-				<mx:VBox label="Text properties" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.textPropertyList}" rowHeight="35" id="textPropertiesDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="configId" headerText="Configuration Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="value" headerText="Value"/>						
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get text properties from DB" click="{parentApplication.service.getTextPropertiesFromDb(null)}"/>
-				</mx:VBox>				
-				
-				<mx:VBox label="Units" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.unitList}" rowHeight="35" id="unitsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="PK" headerText="PK"/>
-							<mx:DataGridColumn dataField="resourceId" headerText="Resource Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="type" headerText="Type"/>
-							<mx:DataGridColumn dataField="allocationLoad" headerText="Allocation load"/>				
-							<mx:DataGridColumn dataField="reservationLoad" headerText="Reservation load"/>
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get reservations from DB" click="{parentApplication.service.getUnitsFromDb(null, null, null)}"/>
-				</mx:VBox>	
-				
-				<mx:VBox label="Unit alloctaion timeline" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.unitAllTimelineList}" rowHeight="35" id="unitAllTimelinesDetailsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkUnitId" headerText="Unit Id"/>
-							<mx:DataGridColumn dataField="timestamp" headerText="Timestamp"/>
-							<mx:DataGridColumn dataField="usage" headerText="Usage"/>						
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get unit allocation timeline from DB" click="{parentApplication.service.getUnitAllTimelineFromDb(null, null, null)}"/>
-				</mx:VBox>	
-
-				<mx:VBox label="Unit details" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.unitDetailsList}" rowHeight="35" id="unitDetailsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkUnitId" headerText="Unit Id"/>
-							<mx:DataGridColumn dataField="name" headerText="Name"/>
-							<mx:DataGridColumn dataField="value" headerText="Value"/>						
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get units from DB" click="{parentApplication.service.getUnitDetailsFromDb(null)}"/>
-				</mx:VBox>								
-				
-				<mx:VBox label="Unit energy timeline" width="100%">
-					<mx:DataGrid dataProvider="{parentApplication.gsSimStudioModel.unitEnTimelineList}" rowHeight="35" id="unitEnTimelinesDetailsDataGrid" width="100%" >
-						<mx:columns>
-							<mx:DataGridColumn dataField="fkUnitId" headerText="Unit Id"/>
-							<mx:DataGridColumn dataField="timestamp" headerText="Timestamp"/>
-							<mx:DataGridColumn dataField="usage" headerText="Usage"/>						
-						</mx:columns>
-					</mx:DataGrid>
-					<s:Button label="Get unit energy timeline from DB" click="{parentApplication.service.getUnitEnTimelineFromDb(null, null, null)}"/>
-				</mx:VBox>										
-				
-			</mx:TabNavigator>
-			-->
-			
-			<mx:Button id="accumulatedStatsWindow" click="showAccumulatedStatsWindow()" label="View stats"/>
 			<s:Group>
 				<s:Rect width="100%" height="100%">
@@ -473,8 +273,20 @@
 					<s:Label text="{resourceManager.getString('ArchiveViewer', 'WithSelected')}"/>
 					<mx:HBox>
-						<mx:ComboBox id="moveToFolderInput" width="150" restrict="0-9a-zA-Z" dataProvider="{parentApplication.gsSimStudioModel.metaexperimentList}" editable="true" />
-						<mx:Button id="moveToFolderButton" click="moveToFolder()" label="{resourceManager.getString('ArchiveViewer', 'Move')}"/>
+						
+						<mx:Button id="moveToFolderButton" click="showMoveToFolderPrompt()" label="{resourceManager.getString('ArchiveViewer', 'Move')}"/>
+						<mx:Button click="addExperimentsToExperimentEditor()" label="{resourceManager.getString('ArchiveViewer', 'RunAgain')}"/>
+						<mx:Button click="removeAll()" label="{resourceManager.getString('ArchiveViewer', 'RemoveAll')}"/>
+						<mx:Button id="accumulatedStatsWindow" click="showAccumulatedStatsWindow()" label="{resourceManager.getString('ArchiveViewer', 'GroupStatistics')}"/>
 					</mx:HBox>
-					<mx:Button click="addExperimentsToExperimentEditor()" label="{resourceManager.getString('ArchiveViewer', 'RunAgain')}"/>
+					<mx:HBox id="moveToFolderPrompt">
+						<mx:VBox>
+							<mx:Label text="{resourceManager.getString('ArchiveViewer', 'NewName')}" />
+							<mx:HBox>
+								<mx:ComboBox id="moveToFolderInput" width="150" restrict="0-9a-zA-Z" dataProvider="{parentApplication.gsSimStudioModel.metaexperimentList}" editable="true" />
+								<mx:Button click="moveToFolder()" label="{resourceManager.getString('ArchiveViewer', 'OK')}"/>
+								<mx:Button click="showMoveToFolderPrompt(false)" label="{resourceManager.getString('ArchiveViewer', 'Cancel')}"/>
+							</mx:HBox>
+						</mx:VBox>
+					</mx:HBox>
 				</mx:VBox>
 			</s:Group>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfig.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfig.mxml	(revision 395)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudioConfig.mxml	(revision 416)
@@ -7,5 +7,4 @@
 				xmlns:vine="org.vinetoolkit.vine.*"
 				creationComplete="initApp();"
-				backgroundColor="#EBE9E1"
 				preloader="gssim.gssimstudio.editor.script.preloader.CustomPreloader"
 				xmlns:components="gssim.gssimstudio.editor.gssim.components.*">
@@ -78,5 +77,5 @@
 		<mx:TextArea id="property_value" text="{model.value}" width="100%" height="100%" />
 		<mx:Button label="{resourceManager.getString('Common', 'Change')}" click="{service.saveProperty(property_combo.text, property_value.text);}" />
-		<mx:TextArea text="{model.error}" width="100%"/>
+		<mx:TextArea text="{model.error}" width="100%" height="100%"/>
 		
 		<components:RollOutMenu width="100%" height="100%" selectable="true" id="languageMenu">
@@ -84,7 +83,4 @@
 			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" click="changeLocale('pl_PL')" id="plLocale" height="32" width="32" toolTip="{resourceManager.getString('Common', 'Polish')}" iconUp="assets/icon/pl_PL.png"/>
 		</components:RollOutMenu>
-		
-		<mx:ColorPicker selectedColor="0xEBE9E1" id="backgroundColorPicker"/>
-		
 	</mx:VBox>
 	
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 377)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 416)
@@ -188,7 +188,7 @@
 									<mx:Component>
 										<mx:HBox paddingLeft="4" horizontalGap="0" verticalGap="0">
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.workloadFilesDG, parentApplication.experimentEditor.workspaceWorkloadsFileList)" height="30" width="33"/>
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.workloadFilesDG)" height="30" width="33"/>
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.workloadFilesDG)" height="30" width="33"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.workloadFilesDG, parentApplication.experimentEditor.workspaceWorkloadsFileList)" height="30"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.workloadFilesDG)" height="30"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.workloadFilesDG)" height="30"/>
 										</mx:HBox>
 									</mx:Component>
@@ -210,7 +210,7 @@
 									<mx:Component>
 										<mx:HBox paddingLeft="4" horizontalGap="0" verticalGap="0">
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.resourceFilesDG, parentApplication.experimentEditor.workspaceResourcesFileList)" height="30" width="33"/>
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.resourceFilesDG)" height="30" width="33"/>
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.resourceFilesDG)" height="30" width="33"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.resourceFilesDG, parentApplication.experimentEditor.workspaceResourcesFileList)" height="30"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.resourceFilesDG)" height="30"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.resourceFilesDG)" height="30"/>
 										</mx:HBox>
 									</mx:Component>
@@ -231,7 +231,7 @@
 									<mx:Component>
 										<mx:HBox paddingLeft="4" horizontalGap="0" verticalGap="0">
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.topologyFilesDG, parentApplication.experimentEditor.workspaceTopologiesFileList)" height="30" width="33"/>
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.topologyFilesDG)" height="30" width="33"/>
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.topologyFilesDG)" height="30" width="33"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.topologyFilesDG, parentApplication.experimentEditor.workspaceTopologiesFileList)" height="30"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.topologyFilesDG)" height="30"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.topologyFilesDG)" height="30"/>
 										</mx:HBox>
 									</mx:Component>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml	(revision 209)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml	(revision 416)
@@ -56,8 +56,10 @@
 				if (workloadSelectedCB.selected)
 				{
+					var iterW : int = 0;
 					for each (var workload : Object in parentApplication.experimentEditor.workspaceWorkloadsFileList)
 					{
 						var inner : ExperimentProperties = exp.clone();
 						inner.setWorkloadFile(workload.fileName);
+						inner.name += "_" + iterW;
 						list.addItem(inner);
 					}
@@ -79,4 +81,5 @@
 							else innerR = propR.clone();
 							innerR.setResourceFile(resource.fileName);
+							innerR.name += "_" + iterR;
 							if (iterR != 0) innerListR.addItem(innerR);
 						}
@@ -97,4 +100,5 @@
 							else innerT = propT.clone();
 							innerT.setTopologyFile(topology.fileName);
+							innerT.name += "_" + iterT;
 							if (iterT != 0) innerListT.addItem(innerT);
 						}
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 395)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 416)
@@ -36,5 +36,5 @@
 			
 			[Bindable]
-			public var showDebug : Boolean = true;
+			public var showDebug : Boolean = false;
 			
 			/**
@@ -89,5 +89,5 @@
 	</mx:ViewStack>
 	
-	<mx:ColorPicker selectedColor="0xEBE9E1" id="backgroundColorPicker" y="288"/>
+	<mx:ColorPicker selectedColor="0xEBE9E1" id="backgroundColorPicker" y="288" visible="false" includeInLayout="false"/>
 	
 	<components:RollOutMenu width="100%" height="100%" selectable="true" y="256" id="languageMenu">
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 415)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 416)
@@ -749,4 +749,35 @@
 	
 	@BlazeDsMethod()
+	public GSSimStudioModel deleteExperiments(List PKs) {
+		GSSimStudioModel model = getModel();
+		Connection connection = null;
+		try {
+			connection = factory().createDBConnection(dbAddress, dbUser,
+					dbPassword);
+			
+			ExperimentDAO experimentDAO = factory.createExperiment();
+			for (int i = 0; i < PKs.size(); i++) {
+				deleteExperiment(experimentDAO, (Integer) PKs.get(i));
+			}
+			connection.commit();
+			
+		} catch (SQLException e) {
+			setSqlError("Experiments", model, e);
+		} catch (InstantiationException e) {
+			setDbConnectionError(model, e);		
+		} catch (IllegalAccessException e) {
+			setDbConnectionError(model, e);	
+		} catch (ClassNotFoundException e) {
+			setDbConnectionError(model, e);	
+		} catch (Exception e) {
+			setError("Unexpected error occured", model, e);	
+		} finally {
+			closeConnection(connection, model);
+		}
+		
+		return getExperimentsFromDb(model, null, null, null);
+	}
+	
+	@BlazeDsMethod()
 	public GSSimStudioModel updateExperiment(Integer PK, Integer userID, Integer configID, String name, Timestamp commissionDate, String description, String status, Integer metaexpID) {
 		GSSimStudioModel model = getModel();
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties	(revision 63)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties	(revision 416)
@@ -10,4 +10,8 @@
 Status=Status
 Refresh=Refresh
+
+OK=Confirm
+Cancel=Cancel
+NewName=Fill in the name of new folder or pick one from the list:
 
 Basic=Basic info
@@ -23,2 +27,6 @@
 WithSelected=Selected experiments
 ExperimentsAddedMessage=Selected experiments have been added to Experiment Editor and can be runned again.
+ExperimentsRemovedMessage=Selected experiments have been removed.
+
+GroupStatistics=Group statistics
+RemoveAll=Delete
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties	(revision 63)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties	(revision 416)
@@ -12,4 +12,11 @@
 Refresh=OdÅwieÅŒ
 
+OK=ZatwierdÅº
+Cancel=Anuluj
+NewName=Podaj nowÄ
+ nazwÄ folderu lub wybierz jednÄ
+ z istniejÄ
+cych:
+
 Basic=Informacje podstawowe
 Resource=Wykres zasobÃ³w
@@ -24,2 +31,6 @@
 WithSelected=Zaznaczone eksperymenty
 ExperimentsAddedMessage=Dodano zaznaczone eksperymenty do Edytora EksperymentÃ³w, moÅŒna je ponownie uruchomiÄ z poziomu tego edytora.
+ExperimentsRemovedMessage=PomyÅlnie usuniÄto zaznaczone eksperymenty.
+
+GroupStatistics=Statystyki zbiorcze
+RemoveAll=UsuÅ