Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties	(revision 416)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties	(revision 420)
@@ -16,5 +16,5 @@
 
 Basic=Basic info
-Resource=Resource chart
+Resource=Column chart
 Task=Gannt chart
 Line=Line chart
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties	(revision 416)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties	(revision 420)
@@ -20,5 +20,5 @@
 
 Basic=Informacje podstawowe
-Resource=Wykres zasobÃ³w
+Resource=Wykres sÅupkowy
 Task=Wykres zadaÅ (Gannt)
 Line=Wykres liniowy
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 237)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 420)
@@ -54,4 +54,6 @@
 			gannt.init();
 			//ganntChart.addChild(gannt);
+			
+			gannt.service.getImageURLs(i);
 		}
 		
@@ -140,16 +142,15 @@
 				<charts:GanntChart scheduleViewerHeight="{this.height - 200}" scheduleViewerWidth="{this.width - 220}" id="gannt" />
 			</mx:VBox>
-			<!--
-			<mx:VBox width="100%" height="100%" id="lineChart" label="{resourceManager.getString('ArchiveViewer', 'Line')}">
-				<charts:ScheduleViewer width="100%" height="100%" />
-				<mx:Label text="line chart"/>
+			<mx:VBox width="100%" height="100%" id="ganntImgChart" label="{resourceManager.getString('ArchiveViewer', 'Task')}">
+				<mx:HBox>
+					<mx:Canvas width="100%" height="100%" backgroundColor="white" id="canvas">
+						<components:MultiImageContainer id="mimg" />
+					</mx:Canvas>
+					<components:MultiImageNavigator id="nav" width="300" height="300" />
+				</mx:HBox>
 			</mx:VBox>
-			<mx:VBox width="100%" height="100%" id="anyChart" label="{resourceManager.getString('ArchiveViewer', 'Other')}">
-				<charts:ScheduleViewer width="100%" height="100%" />
-				<mx:Label text="other chart"/>
-			</mx:VBox>-->
 		</mx:TabNavigator>
 		
-		<s:Button label="LOAD" click="setCurrentExperiment()"/>
+		<s:Button label="LOAD" click="setCurrentExperiment()" visible="false" includeInLayout="false"/>
 	</mx:Canvas>
 </mx:VBox>
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChart.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChart.java	(revision 391)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChart.java	(revision 420)
@@ -105,4 +105,107 @@
     private ServiceLog log = ServiceLog.getInstance(GanntChart.class);
     
+    public GanntChartModel getImageURLs(Integer expId, FileResourceManager fileResourceManager) throws IOException {
+    	GanntChartModel model = (GanntChartModel) VineFlexUtilClass.getUIModel();
+    	log.debug("loadFileLocationItems images");
+
+        String url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/gssim/images/"+ expId + "/?filetype=directory";
+        
+        // Create file location for url
+        FileLocation folderLocation = new FileLocation(url);
+
+        // Get file manager for given location
+        FileManager fileManager = fileResourceManager.createFileManager(folderLocation);
+
+        // List workload files
+        ArrayList<HashMap> fileLocationItemList = new ArrayList<HashMap>();
+        model.setImageFileList(fileLocationItemList);
+        loadFileLocationItemsForCurrentLocation(model, fileManager, fileLocationItemList);
+        
+        return model;
+    }
+    
+    public void loadFileLocationItemsForCurrentLocation(GanntChartModel fileListComModel, FileManager fileManager, ArrayList<HashMap> fileLocationItemList) throws IOException {
+
+        log.debug("loadFileLocationItemsForCurrentLocation images");
+
+        try {
+
+            
+        	// Update current folder location
+            /*FileLocation folderLocation = fileManager.getCurrentLocation();
+
+            // Current location item
+            HashMap<String, String> currentLocationItem = new HashMap<String, String>();
+            fileListComModel.setCurrentLocationItem(currentLocationItem);
+
+            currentLocationItem.put("real_path", folderLocation.getFilePath());
+            currentLocationItem.put("path", fileManager.getCurrentDirectory());
+            currentLocationItem.put("url", folderLocation.getUrl());
+            currentLocationItem.put("downloadUrl", VineFlexUtilClass.getDownloadURL(folderLocation));
+*/
+            // List files in defafult directory
+            List<? extends FileLocation> fileLocationList;
+            try {
+
+                fileLocationList = fileManager.list();
+
+            } catch (Exception e) {
+                log.error("Error occured during list", e);
+                return;
+            }
+
+            //String fileDownloadServletUrl = FileDownloadServlet.getResourceUrl();
+
+            for (FileLocation fileLocation : fileLocationList) {
+
+                HashMap<String, String> fileLocationItem = new HashMap<String, String>();
+                fileLocationItemList.add(fileLocationItem);
+
+                // File url (not displayed?)
+                String fileUrl = fileLocation.getUrl();
+                fileLocationItem.put("fileUrl", fileUrl);
+
+                String fileUrlWithoutQuery = fileLocation.getUrlWithoutQuery();
+                fileLocationItem.put("fileUrlWithoutQuery", fileUrlWithoutQuery);
+
+                // File name
+                String fileName = fileLocation.getFileName();
+                fileLocationItem.put("fileName", fileName);
+
+                // File type
+                FileType fileType = fileLocation.getFileType();
+                fileLocationItem.put("fileType", fileType.getName());
+
+                // Date modified column
+
+                long dateLastModified = fileLocation.getDateLastModified();
+
+                fileLocationItem.put("dateModified", String.valueOf(dateLastModified));
+
+                // Date modified column
+                //fileLocationItem.put("dateModifiedText", DateUtil.getLocalizedDate(dateLastModified, DateFormat.MEDIUM, DateFormat.MEDIUM));
+
+                // File size column
+                long fileSize = fileLocation.getFileSize();
+                fileLocationItem.put("fileSize", String.valueOf(fileSize));
+
+                // File size column
+                fileLocationItem.put("fileSizeText", String.valueOf(fileSize) + " bytes");
+
+                fileLocationItem.put("folderUrl", folderLocation.getUrl());
+                
+                // Download url
+                if (fileType.equals(FileType.FILE)) {
+                    //fileLocationItem.put("fileDownloadUrl", FileDownloadServlet.getResourceUrlForFileLocation(fileLocation, false));
+                }
+            }
+
+            log.debug("done");
+
+        } catch (Exception e) {
+            log.error("Exception occurred during loadFileLocationGrid", e);
+        }
+    }
+    
     @BlazeDsMethod()
 	public GanntChartModel getTasksAllocationsFromDb(Integer expId) {
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 416)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 420)
@@ -1196,4 +1196,11 @@
 	}
 	
+	@BlazeDsMethod()
+	public GSSimStudioModel getImageURLs(int index, Integer expId) {
+		ServiceContext serviceContext = VineFlexUtilClass.getServiceContext();
+	    FileResourceManager fileResourceManager = getFileResourceManager(serviceContext);
+		return delegateGannt(new Object[]{expId, fileResoureceManager}, index);
+	}
+	
 	protected GSSimStudioModel delegateGannt(Object[] parameters, Integer index) {
 		GSSimStudioModel gssimStudioModel = getModel();
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChartModel.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChartModel.java	(revision 22)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChartModel.java	(revision 420)
@@ -41,4 +41,5 @@
 	private String error;
 	private List allocationList;
+	private ArrayList imageFileList = new ArrayList();
 	/* END OF DB DATA */
 	
@@ -59,3 +60,11 @@
 		this.allocationList = allocationList;
 	}
+	
+	public ArrayList getImageFileList(){
+        return imageFileList;
+    }
+
+    public void setImageFileList(ArrayList imageFileList){
+        this.imageFileList=imageFileList;
+    }
 }