Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 420)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 423)
@@ -17,5 +17,7 @@
 		import gssim.gssimstudio.editor.gssim.topology.file.topologyReader;
 		
+		import mx.collections.ArrayCollection;
 		import mx.controls.Alert;
+		import mx.controls.Image;
 		import mx.events.FlexEvent;
 		import mx.events.IndexChangedEvent;
@@ -55,5 +57,6 @@
 			//ganntChart.addChild(gannt);
 			
-			gannt.service.getImageURLs(i);
+			parentApplication.addModelUpdatedSingleCallbacks(
+				gannt.service.getImageURLs(i), initImgGannt);
 		}
 		
@@ -71,4 +74,23 @@
 			var r : topologyReader = new topologyReader(parentApplication.topologyEditor.objectCanvas, false);
 			r.readFromBinary(parentApplication.gsSimStudioModel.currentExperimentNetworkTopology);
+		}
+		
+		public function initImgGannt(event : ResultEvent) : void
+		{
+			var expId : int = (experiment != null ? experiment.PK : -1);
+			var array : ArrayCollection = parentApplication.gsSimStudioModel.ganntChartComponents['' + expId].imageFileList;
+			for (var j : Number = 0; j < array.length; j++)
+			{
+				//for (var i : Number = 0; i < 5; i++)
+				{
+					var img : Image = new Image();
+					img.source = array[j].fileAccessUrl;
+					img.width = 500;
+					img.height = 500;
+					mimg.addImage(img);
+				}
+				//mimg.addRow();
+			}
+			nav.container = mimg;
 		}
 
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/charts/GanntChartModel.as
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/charts/GanntChartModel.as	(revision 22)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/charts/GanntChartModel.as	(revision 423)
@@ -15,4 +15,5 @@
 		public var error:String;
 		public var allocationList:ArrayCollection;
+		public var imageFileList:ArrayCollection;
 	}
 }
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChart.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChart.java	(revision 422)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GanntChart.java	(revision 423)
@@ -154,8 +154,7 @@
             }
 
-            //String fileDownloadServletUrl = FileDownloadServlet.getResourceUrl();
-
-            for (FileLocation fileLocation : fileLocationList) {
-
+            ServletContext servletContext = FlexContext.getServletContext();
+            
+            for (FileLocation fileLocation : fileLocationList) {            	
                 HashMap<String, String> fileLocationItem = new HashMap<String, String>();
                 fileLocationItemList.add(fileLocationItem);
@@ -194,8 +193,12 @@
                 fileLocationItem.put("folderUrl", folderLocation.getUrl());
                 
-                // Download url
-                if (fileType.equals(FileType.FILE)) {
-                    //fileLocationItem.put("fileDownloadUrl", FileDownloadServlet.getResourceUrlForFileLocation(fileLocation, false));
+                String contentType = servletContext.getMimeType(fileLocation.getFileName().toLowerCase());
+            	String openUrl = null;
+                if (contentType != null) {
+                    openUrl = VineFlexUtilClass.getURL(fileLocation, contentType);
+                } else {
+                    openUrl = VineFlexUtilClass.getDownloadURL(fileLocation);
                 }
+                fileLocationItem.put("fileAccessUrl", openUrl);
             }
 