Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/TopologyEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/TopologyEditor.properties	(revision 15)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/TopologyEditor.properties	(revision 434)
@@ -53,6 +53,6 @@
 Close=Zamknij
 CloseTooltip=Zamknij menu
-ResourcesSubmenu=Zasoby >
-NetworkSubmenu=Topologia >
+ResourcesSubmenu=Zasoby
+NetworkSubmenu=Topologia
 Cluster=Klaster
 Count=IloÅÄ
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/TopologyEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/TopologyEditor.properties	(revision 15)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/TopologyEditor.properties	(revision 434)
@@ -47,6 +47,6 @@
 Close=Close
 CloseTooltip=Close this menu
-ResourcesSubmenu=Resources >
-NetworkSubmenu=Network >
+ResourcesSubmenu=Resources
+NetworkSubmenu=Network
 Cluster=Cluster
 Count=Count
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/topology/GenderObjectFactory.as
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/topology/GenderObjectFactory.as	(revision 15)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/topology/GenderObjectFactory.as	(revision 434)
@@ -6,4 +6,16 @@
 	public class GenderObjectFactory
 	{
+		private static var routerCount : Number = 0;
+		private static var resourceCount : Number = 0;
+		private static var userCount : Number = 0;
+		private static var clusterCount : Number = 0;
+		
+		public static function resetFactory() : void {
+			routerCount = 0;
+			resourceCount = 0;
+			userCount = 0;
+			clusterCount = 0;
+		}
+		
 		public static function createRouter(posX : int, posY : int, width : int, height: int) : RouterObject
 		{
@@ -13,5 +25,6 @@
 				object.x = posX;
 				object.y = posY;
-				object.nodeName = object.id;
+				routerCount += 1;
+				object.nodeName = "Router " + routerCount;
 			return object;
 		}
@@ -24,5 +37,6 @@
 				object.x = posX;
 				object.y = posY;
-				object.nodeName = object.id;
+				resourceCount += 1;
+				object.nodeName = "Resource " + resourceCount;
 			return object;
 		}
@@ -35,5 +49,6 @@
 				object.x = posX;
 				object.y = posY;
-				object.nodeName = object.id;
+				userCount += 1;
+				object.nodeName = "User " + userCount;
 			return object;
 		}
@@ -46,5 +61,6 @@
 			object.x = posX;
 			object.y = posY;
-			object.nodeName = object.id;
+			clusterCount += 1;
+			object.nodeName = "Cluster " + clusterCount;
 			return object;
 		}
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/ObjectPropertiesWindow.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/ObjectPropertiesWindow.mxml	(revision 80)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/ObjectPropertiesWindow.mxml	(revision 434)
@@ -2,5 +2,5 @@
 <MDIWindow xmlns="flexlib.mdi.containers.*" xmlns:mx="http://www.adobe.com/2006/mxml" width="360" height="80"
 		   xmlns:s="library://ns.adobe.com/flex/spark" close="closeHandler(event)"
-	creationComplete="fillFields();" maxWidth="370" maxHeight="90" resizable="false" xmlns:states="com.degrafa.states.*">
+	creationComplete="fillFields();" maxWidth="370" maxHeight="110" resizable="false" xmlns:states="com.degrafa.states.*">
 <mx:Script>
 	<![CDATA[
@@ -27,5 +27,5 @@
 		{
 			_object = object;
-			title = _object.nodeName;
+			BindingUtils.bindProperty(this, "title", _object, "nodeName");
 			name = title;
 			if (object is ResourceObject)
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/ObjectCanvas.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/ObjectCanvas.mxml	(revision 15)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/ObjectCanvas.mxml	(revision 434)
@@ -12,8 +12,7 @@
 			import com.degrafa.geometry.RasterText;
 			
+			import flashx.textLayout.formats.TextAlign;
+			
 			import gssim.gssimstudio.editor.flare.query.BinaryExpression;
-			
-			import flashx.textLayout.formats.TextAlign;
-			
 			import gssim.gssimstudio.editor.gssim.components.CameleonLabel;
 			import gssim.gssimstudio.editor.gssim.multiDrag.MultiDragContainer;
@@ -21,12 +20,11 @@
 			import gssim.gssimstudio.editor.gssim.topology.GraphItem;
 			import gssim.gssimstudio.editor.gssim.topology.layouts.ILayout;
+			import gssim.gssimstudio.editor.script.event.InvalidActionEvent;
+			import gssim.gssimstudio.editor.script.event.LinkEvent;
+			import gssim.gssimstudio.editor.script.event.ObjectEvent;
 			
 			import mx.collections.ArrayCollection;
 			import mx.controls.Text;
 			import mx.events.ResizeEvent;
-			
-			import gssim.gssimstudio.editor.script.event.InvalidActionEvent;
-			import gssim.gssimstudio.editor.script.event.LinkEvent;
-			import gssim.gssimstudio.editor.script.event.ObjectEvent;
 			
 			import spark.components.Group;
@@ -397,4 +395,13 @@
 			}
 			
+			private function mouseDoubleClickOnObjectEventHandler(event : MouseEvent) : void
+			{
+				var targetObject : GenderObject = event.target as GenderObject;
+				if (_currentMode == NORMAL_MODE)
+				{
+					dispatchEvent(new ObjectEvent(ROUTER_CLICK, targetObject));
+				}
+			}
+			
 			private function linkObjects(object1 : GenderObject, object2 : GenderObject) : NetworkObjectLinker
 			{
@@ -455,5 +462,7 @@
 				object.addEventListener(MouseEvent.MOUSE_DOWN, mouseDownOnObjectEventHandler);
 				object.addEventListener(MouseEvent.MOUSE_UP, mouseUpOnObjectEventHandler);
+				object.addEventListener(MouseEvent.DOUBLE_CLICK, mouseDoubleClickOnObjectEventHandler);
 				object.addEventListener(GenderObject.OBJECT_MOVED, objectMovedEventHandler);
+				object.doubleClickEnabled = true;
 				_dragGroup.empty();
 				_dragGroup.setStartPosition(object);
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/MainMenu.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/MainMenu.mxml	(revision 15)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/MainMenu.mxml	(revision 434)
@@ -14,4 +14,5 @@
 		import gssim.gssimstudio.editor.gssim.resources.file.resourceReader;
 		import gssim.gssimstudio.editor.gssim.resources.file.resourcesWriter;
+		import gssim.gssimstudio.editor.gssim.topology.GenderObjectFactory;
 		import gssim.gssimstudio.editor.gssim.topology.file.topologyReader;
 		import gssim.gssimstudio.editor.gssim.topology.file.topologyWriter;
@@ -37,4 +38,5 @@
 		{
 			objectCanvas.empty();
+			GenderObjectFactory.resetFactory();
 		}
 	
@@ -134,31 +136,5 @@
 		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
 			label="{resourceManager.getString('TopologyEditor', 'Menu')}"
-			iconUp="assets/icon/ShowIcons.png"/>
-		<components:RollOutMenu menuIcon="assets/icon/NewFile.png" width="100%" height="100%" menuLabel="{resourceManager.getString('TopologyEditor', 'NetworkSubmenu')}">
-			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="newFileButton" click="newFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'NewTooltip')}"
-				 label="{resourceManager.getString('TopologyEditor', 'New')}"
-				 iconUp="assets/icon/NewFile.png"/>
-			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openFileButton" click="openFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
-				label="{resourceManager.getString('TopologyEditor', 'Open')}"
-				iconUp="assets/icon/OpenFile.png"/>
-			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveFileButton" click="saveTopologyToFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
-				label="{resourceManager.getString('TopologyEditor', 'Save')}"
-				iconUp="assets/icon/SaveFile.png"/>
-			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerFileButton" click="saveTopologyToServer()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
-										 label="{resourceManager.getString('TopologyEditor', 'SaveServer')}"
-										 iconUp="assets/icon/SaveFile.png"/>
-		</components:RollOutMenu>
-		<components:RollOutMenu menuIcon="assets/icon/NewFile.png" width="100%" height="100%" menuLabel="{resourceManager.getString('TopologyEditor', 'ResourcesSubmenu')}">
-			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openResourceFileButton" click="openResourceFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
-										 label="{resourceManager.getString('TopologyEditor', 'Open')}"
-										 iconUp="assets/icon/OpenFile.png"/>
-			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveResourceFileButton" click="saveResourceToFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
-										 label="{resourceManager.getString('TopologyEditor', 'Save')}"
-										 iconUp="assets/icon/SaveFile.png"/>
-			<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerResourceFileButton" click="saveResourceToServer()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
-										 label="{resourceManager.getString('TopologyEditor', 'SaveServer')}"
-										 iconUp="assets/icon/SaveFile.png"/>
-		</components:RollOutMenu>
-			
+			iconUp="assets/icon/ShowIcons.png"/>			
 		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="toolboxButton" click="openToolbox()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'Toolbox')}"
 			label="{resourceManager.getString('TopologyEditor', 'Tools')}"
@@ -171,4 +147,35 @@
 									 iconUp="assets/icon/PNGFile.png"/>
 	</components:RollOutMenu>
+	<components:RollOutMenu menuIcon="assets/icon/NewFile.png" width="100%" height="100%" menuLabel="{resourceManager.getString('TopologyEditor', 'NetworkSubmenu')}">
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton2" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'NetworkSubmenu')}"
+									 iconUp="assets/icon/ShowIcons.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="newFileButton" click="newFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'NewTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'New')}"
+									 iconUp="assets/icon/NewFile.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openFileButton" click="openFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'Open')}"
+									 iconUp="assets/icon/OpenFile.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveFileButton" click="saveTopologyToFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'Save')}"
+									 iconUp="assets/icon/SaveFile.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerFileButton" click="saveTopologyToServer()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'SaveServer')}"
+									 iconUp="assets/icon/SaveFile.png"/>
+	</components:RollOutMenu>
+	<components:RollOutMenu menuIcon="assets/icon/NewFile.png" width="100%" height="100%" menuLabel="{resourceManager.getString('TopologyEditor', 'ResourcesSubmenu')}">
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton3" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'ResourcesSubmenu')}"
+									 iconUp="assets/icon/ShowIcons.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openResourceFileButton" click="openResourceFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'Open')}"
+									 iconUp="assets/icon/OpenFile.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveResourceFileButton" click="saveResourceToFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'Save')}"
+									 iconUp="assets/icon/SaveFile.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerResourceFileButton" click="saveResourceToServer()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
+									 label="{resourceManager.getString('TopologyEditor', 'SaveServer')}"
+									 iconUp="assets/icon/SaveFile.png"/>
+	</components:RollOutMenu>
 	</mx:HBox>
 </mx:Canvas>