Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/skins/IconToggleButtonSkin.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/skins/IconToggleButtonSkin.mxml	(revision 15)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/skins/IconToggleButtonSkin.mxml	(revision 437)
@@ -62,5 +62,5 @@
 	</s:states> 
 	
-	<s:Rect left="0" right="0" top="0" bottom="0" width="69" height="20" radiusX="15" radiusY="15" >
+	<s:Rect left="0" right="0" top="0" bottom="0" width="69" height="20" radiusX="5" radiusY="5" >
 		<s:stroke>
 			<s:SolidColorStroke id="outline" weight="1"/>
@@ -89,9 +89,13 @@
 			alpha="0.8"
 			alpha.up="1"
+			height = "{hostComponent.height}"
+			width = "{hostComponent.height}"
+			verticalAlign="middle" horizontalAlign="center"
 			/>
 		<s:Label height="100%"
 			text="{hostComponent.label}"
 			includeInLayout="{( hostComponent.label != '' )}"
-			visible="{( hostComponent.label != '' )}" verticalAlign="middle"/>
+			visible="{( hostComponent.label != '' )}"
+			verticalAlign="middle"/>
 	</s:Group>
 	
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/MainMenu.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/MainMenu.mxml	(revision 434)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/topology/MainMenu.mxml	(revision 437)
@@ -134,45 +134,45 @@
 	<mx:HBox horizontalGap="0">
 	<components:RollOutMenu width="100%" height="100%">
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
 			label="{resourceManager.getString('TopologyEditor', 'Menu')}"
 			iconUp="assets/icon/ShowIcons.png"/>			
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="toolboxButton" click="openToolbox()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'Toolbox')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="toolboxButton" click="openToolbox()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'Toolbox')}"
 			label="{resourceManager.getString('TopologyEditor', 'Tools')}"
 			iconUp="assets/icon/OpenToolbox.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="minimapButton" click="openMinimap()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'Minimap')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="minimapButton" click="openMinimap()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'Minimap')}"
 			label="{resourceManager.getString('TopologyEditor', 'Map')}"
 			iconUp="assets/icon/OpenMinimap.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveAsPNGButton" click="saveAsPNG()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'PNGFileTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveAsPNGButton" click="saveAsPNG()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'PNGFileTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'PNGFile')}"
 									 iconUp="assets/icon/PNGFile.png"/>
 	</components:RollOutMenu>
 	<components:RollOutMenu menuIcon="assets/icon/NewFile.png" width="100%" height="100%" menuLabel="{resourceManager.getString('TopologyEditor', 'NetworkSubmenu')}">
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton2" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton2" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'NetworkSubmenu')}"
 									 iconUp="assets/icon/ShowIcons.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="newFileButton" click="newFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'NewTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="newFileButton" click="newFile()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'NewTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'New')}"
 									 iconUp="assets/icon/NewFile.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openFileButton" click="openFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openFileButton" click="openFile()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'Open')}"
 									 iconUp="assets/icon/OpenFile.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveFileButton" click="saveTopologyToFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveFileButton" click="saveTopologyToFile()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'Save')}"
 									 iconUp="assets/icon/SaveFile.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerFileButton" click="saveTopologyToServer()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerFileButton" click="saveTopologyToServer()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'SaveServer')}"
 									 iconUp="assets/icon/SaveFile.png"/>
 	</components:RollOutMenu>
 	<components:RollOutMenu menuIcon="assets/icon/NewFile.png" width="100%" height="100%" menuLabel="{resourceManager.getString('TopologyEditor', 'ResourcesSubmenu')}">
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton3" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="showIconsButton3" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'MenuTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'ResourcesSubmenu')}"
 									 iconUp="assets/icon/ShowIcons.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openResourceFileButton" click="openResourceFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="openResourceFileButton" click="openResourceFile()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'OpenTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'Open')}"
 									 iconUp="assets/icon/OpenFile.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveResourceFileButton" click="saveResourceToFile()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveResourceFileButton" click="saveResourceToFile()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'Save')}"
 									 iconUp="assets/icon/SaveFile.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerResourceFileButton" click="saveResourceToServer()" height="64" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" id="saveServerResourceFileButton" click="saveResourceToServer()" height="32" width="128" toolTip="{resourceManager.getString('TopologyEditor', 'SaveServerTooltip')}"
 									 label="{resourceManager.getString('TopologyEditor', 'SaveServer')}"
 									 iconUp="assets/icon/SaveFile.png"/>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 416)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 437)
@@ -92,6 +92,6 @@
 	
 	<components:RollOutMenu width="100%" height="100%" selectable="true" y="256" id="languageMenu">
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" click="changeLocale('en_US')" id="enLocale" height="32" width="32" toolTip="{resourceManager.getString('Common', 'English')}" iconUp="assets/icon/en_US.png"/>
-		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" click="changeLocale('pl_PL')" id="plLocale" height="32" width="32" toolTip="{resourceManager.getString('Common', 'Polish')}" iconUp="assets/icon/pl_PL.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" click="changeLocale('en_US')" id="enLocale" height="32" width="36" toolTip="{resourceManager.getString('Common', 'English')}" iconUp="assets/icon/en_US.png"/>
+		<components:IconToggleButton skinClass="gssim.gssimstudio.editor.gssim.skins.IconToggleButtonSkin" click="changeLocale('pl_PL')" id="plLocale" height="32" width="36" toolTip="{resourceManager.getString('Common', 'Polish')}" iconUp="assets/icon/pl_PL.png"/>
 	</components:RollOutMenu>
 	