Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 444)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 445)
@@ -1947,5 +1947,5 @@
     }
 	
-    public GSSimStudioModel uploadTextFile(String destFileName, String destFolder, String fileContent) throws IOException {
+    public GSSimStudioModel uploadTextFile(String destFileName, String destFolder, String fileContent, FileManager manager) throws IOException {
 
         log.debug("FILELISTCOM all files uploaded");
@@ -1965,5 +1965,6 @@
         FileResourceManager fileResourceManager = getFileResourceManager(serviceContext);
         Location resourceLocation = new Location((String) fileListComModel.getCurrentLocationItem().get("url"));
-        FileManager fileManager = fileResourceManager.createFileManager(resourceLocation);
+        FileManager fileManager = manager;
+        if (fileManager == null) fileManager = fileResourceManager.createFileManager(resourceLocation);
         fileManager.changeDirectory((String) fileListComModel.getCurrentLocationItem().get("real_path"));
 
@@ -2055,15 +2056,15 @@
 	@BlazeDsMethod()
     public GSSimStudioModel uploadPropertyFile(String destFileName, String fileContent) throws IOException {
-		return uploadTextFile(destFileName, "", fileContent);
+		return uploadTextFile(destFileName, "", fileContent, null);
     }
 	
 	@BlazeDsMethod()
     public GSSimStudioModel uploadNetworkTopologyFile(String destFileName, String fileContent) throws IOException {
-		return uploadTextFile(destFileName, "topologies/", fileContent);
+		return uploadTextFile(destFileName, "topologies/", fileContent, null);
     }
 	
 	@BlazeDsMethod()
     public GSSimStudioModel uploadResourceFile(String destFileName, String fileContent) throws IOException {
-		return uploadTextFile(destFileName, "resources/", fileContent);
+		return uploadTextFile(destFileName, "resources/", fileContent, null);
     }
 	
@@ -2074,4 +2075,5 @@
 		String gssimInput = null;
 		Connection connection = null;
+		FileManager fileManager = null;
 		try {
 			connection = factory().createDBConnection(dbAddress, dbUser,
@@ -2088,5 +2090,5 @@
             FileResourceManager fileResourceManager = getFileResourceManager(serviceContext);
             FileLocation parentLocation = new FileLocation(gssimInput + "?filetype=directory");
-            FileManager fileManager = fileResourceManager.createFileManager(parentLocation);
+            fileManager = fileResourceManager.createFileManager(parentLocation);
             TaskMonitor taskMonitor = fileManager.makeDirectory(uniqueFolderName, TaskOptions.block());
             if (taskMonitor.completed()) {
@@ -2114,5 +2116,5 @@
 		}
 		
-		model = uploadTextFile("generator.xml", "generator/" + uniqueFolderName, fileContent);
+		model = uploadTextFile("generator.xml", "generator/" + uniqueFolderName, fileContent, fileManager);
 		String properties = "resdesc=../../resources/" + resourceFileName + "\n";
 		properties += "createscenario.tasksdesc=generator.xml\n";
@@ -2120,5 +2122,5 @@
 		properties += "createscenario.workloadfilename=" + workloadFileName + "\n";
 		properties += "createscenario.overwrite_files=true\n";
-		model = uploadTextFile("generator.properties", "generator/" + uniqueFolderName, properties);
+		model = uploadTextFile("generator.properties", "generator/" + uniqueFolderName, properties, fileManager);
 		model.setMessageCode("GenerateWorkloadSucces");
 		return model;
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/WorkloadEditor.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/WorkloadEditor.mxml	(revision 442)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/WorkloadEditor.mxml	(revision 445)
@@ -129,9 +129,9 @@
 							<mx:HBox>
 								<mx:Label text="{resourceManager.getString('WorkloadEditor', 'WorkloadFileName')}" width="150"/>
-								<mx:TextInput text="{workloadFileName}" />
+								<mx:TextInput id="workloadFileNameInput" change="{workloadFileName = workloadFileNameInput.text}"/>
 							</mx:HBox>
 							<mx:HBox>
 								<mx:Label text="{resourceManager.getString('WorkloadEditor', 'ResourceDescription')}"/>
-								<mx:ComboBox text="{resourcesFileName}" id="resourceDescriptionFile" labelField="fileName" dataProvider="{parentApplication.experimentEditor.workspaceResourcesFileList}" width="250"/>
+								<mx:ComboBox change="{resourcesFileName = resourceDescriptionFile.text}" id="resourceDescriptionFile" labelField="fileName" dataProvider="{parentApplication.experimentEditor.workspaceResourcesFileList}" width="250"/>
 							</mx:HBox>
 							<mx:HBox>