Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/WorkloadEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/WorkloadEditor.properties	(revision 442)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/WorkloadEditor.properties	(revision 447)
@@ -87,2 +87,3 @@
 WorkloadFileName=Nazwa
 ResourceDescription=Zasoby
+NoResourceFileName=Brak pliku z opisem zasobÃ³w. Dodaj co najmniej jeden plik do zbioru roboczego z poziomu edytora eksperymentÃ³w.
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/WorkloadEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/WorkloadEditor.properties	(revision 442)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/WorkloadEditor.properties	(revision 447)
@@ -80,2 +80,3 @@
 WorkloadFileName=Name
 ResourceDescription=Resources
+NoResourceFileName=No resource description file in workspace, please add at least one file using experiment editor.
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/workload/MainMenu.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/workload/MainMenu.mxml	(revision 442)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/workload/MainMenu.mxml	(revision 447)
@@ -14,7 +14,4 @@
 		import gssim.gssimstudio.editor.gssim.workload.file.workloadReader;
 		import gssim.gssimstudio.editor.gssim.workload.file.workloadWriter;
-		
-		import mx.controls.Alert;
-		
 		import gssim.gssimstudio.editor.script.command.DoNothing;
 		import gssim.gssimstudio.editor.script.command.OpenGeneralChartsWindowCommand;
@@ -22,8 +19,9 @@
 		import gssim.gssimstudio.editor.script.command.OpenToolboxWindowCommand;
 		import gssim.gssimstudio.editor.script.views.ViewsHelper;
-		
 		import gssim.gssimstudio.editor.views.ExperimentEditor;
 		import gssim.gssimstudio.editor.views.TopologyEditor;
 		import gssim.gssimstudio.editor.views.WorkloadEditor;
+		
+		import mx.controls.Alert;
 	
 		private function newFile() : void
@@ -67,7 +65,10 @@
 			if ((parent.parent.parent as WorkloadEditor).validateWorkload())
 			{
-				Alert.show(WorkloadEditor.workload.getXML(false).toXMLString());
+				if (parentApplication.workloadEditor.resourceDescriptionFile.selectedItem == null) {
+					Alert.show(resourceManager.getString('WorkloadEditor', 'NoResourceFileName'));
+				}
+				var resourceFileName : String = parentApplication.workloadEditor.resourceDescriptionFile.selectedItem.fileName;
 				parentApplication.service.generateWorkload(WorkloadEditor.workload.getXML(false).toXMLString(),
-					WorkloadEditor.workloadFileName, WorkloadEditor.resourcesFileName);
+					WorkloadEditor.workloadFileName, resourceFileName);
 			}
 			else
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/WorkloadEditor.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/WorkloadEditor.mxml	(revision 446)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/WorkloadEditor.mxml	(revision 447)
@@ -129,9 +129,9 @@
 							<mx:HBox>
 								<mx:Label text="{resourceManager.getString('WorkloadEditor', 'WorkloadFileName')}" width="150"/>
-								<mx:TextInput id="workloadFileNameInput" change="{workloadFileName = workloadFileNameInput.text}"/>
+								<mx:TextInput id="workloadFileNameInput" change="{workloadFileName = workloadFileNameInput.text}" restrict="a-zA-Z0-9"/>
 							</mx:HBox>
 							<mx:HBox>
 								<mx:Label text="{resourceManager.getString('WorkloadEditor', 'ResourceDescription')}"/>
-								<mx:ComboBox change="{resourcesFileName = (resourceDescriptionFile.selectedItem != null ? resourceDescriptionFile.selectedItem.fileName : null)}" id="resourceDescriptionFile" labelField="fileName" dataProvider="{parentApplication.experimentEditor.workspaceResourcesFileList}" width="250"/>
+								<mx:ComboBox id="resourceDescriptionFile" labelField="fileName" dataProvider="{parentApplication.experimentEditor.workspaceResourcesFileList}" width="250"/>
 							</mx:HBox>
 							<mx:HBox>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 445)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 447)
@@ -2117,8 +2117,8 @@
 		
 		model = uploadTextFile("generator.xml", "generator/" + uniqueFolderName, fileContent, fileManager);
-		String properties = "resdesc=../../resources/" + resourceFileName + "\n";
-		properties += "createscenario.tasksdesc=generator.xml\n";
-		properties += "createscenario.outputfolder=output\n";
-		properties += "createscenario.workloadfilename=" + workloadFileName + "\n";
+		String properties = "resdesc=input/resources/" + resourceFileName + "\n";
+		properties += "createscenario.tasksdesc=input/generator/"+uniqueFolderName+"/generator.xml\n";
+		properties += "createscenario.outputfolder=./gen_output/"+uniqueFolderName+"\n";
+		properties += "createscenario.workloadfilename=" + workloadFileName + ".swf\n";
 		properties += "createscenario.overwrite_files=true\n";
 		model = uploadTextFile("generator.properties", "generator/" + uniqueFolderName, properties, fileManager);