Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties	(revision 448)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties	(revision 457)
@@ -7,4 +7,5 @@
 Save=Save
 Show=Show
+Hide=Hide
 View=View
 ViewTooltip=View details
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties	(revision 448)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties	(revision 457)
@@ -7,4 +7,5 @@
 Save=Zapisz
 Show=PokaÅŒ
+Hide=Ukryj
 
 Workspace=ZbiÃ³r roboczy
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 428)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 457)
@@ -235,6 +235,6 @@
 				<mx:VBox width="100%" height="100%" label="{resourceManager.getString('ExperimentEditor', 'AddNewExperiment')}">
 					<experiment:ExperimentPropertiesPanel id="experimentProperties" paddingLeft="5"/>
-					<mx:VBox width="100%">
-						<mx:DataGrid dataProvider="{experiments}" rowHeight="35" rowCount="5" id="experimentsDG" width="1158" >
+					<mx:VBox width="100%" paddingRight="5">
+						<mx:DataGrid dataProvider="{experiments}" rowHeight="35" rowCount="5" id="experimentsDG" width="100%">
 							<mx:columns>
 								<mx:DataGridColumn dataField="name" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
@@ -267,6 +267,6 @@
 															  source="assets/icon/HelpIcon.png"/>
 								<mx:ComboBox id="experimentMetaname" width="150" restrict="0-9a-zA-Z" dataProvider="{parentApplication.gsSimStudioModel.metaexperimentList}" editable="true" />
+								<mx:Button id="performExperiments" click="performAllExperiments()" toolTip="{resourceManager.getString('ExperimentEditor', 'PerformAllTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'PerformAll')}"/>
 							</mx:HBox>
-							<mx:Button id="performExperiments" click="performAllExperiments()" toolTip="{resourceManager.getString('ExperimentEditor', 'PerformAllTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'PerformAll')}"/>
 						</mx:HBox>
 					</mx:VBox>
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 448)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 457)
@@ -176,4 +176,14 @@
 				parentApplication.service.init(null);
 			}
+			
+			public function rollPanel(hide : Boolean) : void
+			{
+				hideButton.visible = !hide;
+				hideButton.includeInLayout = !hide;
+				filePanel.visible = !hide;
+				filePanel.includeInLayout = !hide;
+				showButton.visible = hide;
+				showButton.includeInLayout = hide;
+			}
 
 		]]>
@@ -185,6 +195,8 @@
 				<mx:Label text="{resourceManager.getString('ExperimentEditor', 'ServerFiles')}"/>
 				<mx:Button click="refresh()" label="{resourceManager.getString('ExperimentEditor', 'Refresh')}"/>
+				<mx:Button click="rollPanel(true)" id="hideButton" label="{resourceManager.getString('ExperimentEditor', 'Hide')}"/>
+				<mx:Button click="rollPanel(false)" id="showButton" visible="false" includeInLayout="false" label="{resourceManager.getString('ExperimentEditor', 'Show')}"/>
 			</mx:HBox>
-			<mx:HBox width="100%">
+			<mx:HBox width="100%" id="filePanel">
 				<mx:VBox width="30%">
 					<mx:Label text="{resourceManager.getString('ExperimentEditor', 'Workload')}"/>
@@ -193,5 +205,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="270">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="230">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -215,5 +227,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="270">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="230">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -236,5 +248,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="270">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="230">
 								<mx:itemRenderer>
 									<mx:Component>
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml	(revision 436)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml	(revision 457)
@@ -205,9 +205,13 @@
 				if (map.hasOwnProperty("readscenario.workloadfilename"))
 				{
-					workloadFile.text = StringUtil.substring(map["readscenario.workloadfilename"], 16);
+					workloadFile.text = StringUtil.substring(map["readscenario.workloadfilename"], 6);
 				}
 				if (map.hasOwnProperty("resdesc"))
 				{
-					resourceDescriptionFile.text = StringUtil.substring(map["resdesc"], 16);
+					resourceDescriptionFile.text = StringUtil.substring(map["resdesc"], 6);
+				}
+				if (map.hasOwnProperty("networktopologyfilename"))
+				{
+					networkTopologyFile.text = StringUtil.substring(map["networktopologyfilename"], 6);
 				}
 				isFormValid();
@@ -417,5 +421,5 @@
 							 toolTip="{resourceManager.getString('ExperimentEditor', 'ExecutionTimeEstimationTooltip')}"/>
 			</mx:VBox>
-			<mx:VBox label="{resourceManager.getString('ExperimentEditor', 'Files')}" width="330">
+			<mx:VBox label="{resourceManager.getString('ExperimentEditor', 'Files')}" width="330" height="100%">
 				<mx:HBox width="100%">
 					<mx:HBox>
@@ -475,16 +479,20 @@
 												  source="assets/deleteButton.png"/>
 				</mx:HBox>
+				<mx:VBox width="100%" height="100%">
+					<mx:Spacer height="50%"/>
+					<mx:HBox width="100%">
+						<mx:Spacer width="50%"/>
+						<mx:HBox visible="{editedExperiment == null}" includeInLayout="{editedExperiment == null}">
+							<mx:Button id="addExperiment" click="createExperiment();" toolTip="{resourceManager.getString('ExperimentEditor', 'AddTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Add')}" width="100"/>
+						</mx:HBox>
+						<mx:HBox visible="{editedExperiment != null}" includeInLayout="{editedExperiment != null}">
+							<mx:Button id="saveExperiment" click="createExperiment();" toolTip="{resourceManager.getString('ExperimentEditor', 'SaveTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Save')}"/>
+							<mx:Button id="cancelChangesExperiment" click="cancelExperiment();" toolTip="{resourceManager.getString('ExperimentEditor', 'CancelTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Cancel')}"/>
+						</mx:HBox>
+						<mx:Spacer width="50%"/>
+					</mx:HBox>
+					<mx:Spacer height="50%"/>
+				</mx:VBox>
 			</mx:VBox>
-		</mx:HBox>
-		<mx:HBox width="100%">
-			<mx:Spacer width="50%"/>
-			<mx:HBox visible="{editedExperiment == null}" includeInLayout="{editedExperiment == null}">
-				<mx:Button id="addExperiment" click="createExperiment();" toolTip="{resourceManager.getString('ExperimentEditor', 'AddTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Add')}"/>
-			</mx:HBox>
-			<mx:HBox visible="{editedExperiment != null}" includeInLayout="{editedExperiment != null}">
-				<mx:Button id="saveExperiment" click="createExperiment();" toolTip="{resourceManager.getString('ExperimentEditor', 'SaveTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Save')}"/>
-				<mx:Button id="cancelChangesExperiment" click="cancelExperiment();" toolTip="{resourceManager.getString('ExperimentEditor', 'CancelTooltip')}" labelPlacement="bottom" label="{resourceManager.getString('ExperimentEditor', 'Cancel')}"/>
-			</mx:HBox>
-			<mx:Spacer width="50%"/>
 		</mx:HBox>
 	</mx:VBox>
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 433)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 457)
@@ -170,5 +170,5 @@
 			<mx:VBox width="100%" height="100%" id="ganntImgChart" label="{resourceManager.getString('ArchiveViewer', 'Task')}">
 				<mx:HBox>
-					<mx:Canvas width="500" height="500" backgroundColor="white" id="canvas">
+					<mx:Canvas width="100%" height="100%" backgroundColor="white" id="canvas">
 						<components:MultiImageContainer id="mimg" />
 					</mx:Canvas>
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/topology/GenderObjectFactory.as
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/topology/GenderObjectFactory.as	(revision 434)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/topology/GenderObjectFactory.as	(revision 457)
@@ -38,5 +38,5 @@
 				object.y = posY;
 				resourceCount += 1;
-				object.nodeName = "Resource " + resourceCount;
+				object.nodeName = "Computing Resource " + resourceCount;
 			return object;
 		}