Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 457)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 461)
@@ -280,5 +280,5 @@
 								<mx:columns>
 									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="270">
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="60">
 										<mx:itemRenderer>
 											<mx:Component>
@@ -302,5 +302,5 @@
 								<mx:columns>
 									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="270">
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="60">
 										<mx:itemRenderer>
 											<mx:Component>
@@ -323,5 +323,5 @@
 								<mx:columns>
 									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="270">
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="60">
 										<mx:itemRenderer>
 											<mx:Component>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 460)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 461)
@@ -222,4 +222,5 @@
 					window.loadExperiment(exp);
 					ViewsHelper.ArchiveCanvas.windowManager.add(window);
+					temp = null;
 				}
 				exp = temp;
@@ -247,5 +248,5 @@
 	<code:MDICanvas id="mdiCanvas" width="100%" height="100%" backgroundColor="#FFFFFF" backgroundAlpha="0">
 		<s:VGroup paddingLeft="64" width="100%" height="100%">
-			<mx:HDividedBox width="100%">
+			<mx:HDividedBox width="100%" height="100%">
 				<mx:AdvancedDataGrid height="100%" width="100%" labelField="@label" id="tree"
 						 itemClick="experimentView(event)"
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 460)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 461)
@@ -205,5 +205,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="150">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="130">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -227,5 +227,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="150">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="130">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -248,5 +248,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="150">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="130">
 								<mx:itemRenderer>
 									<mx:Component>