Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 461)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 462)
@@ -205,5 +205,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="130">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="110">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -227,5 +227,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="130">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="110">
 								<mx:itemRenderer>
 									<mx:Component>
@@ -248,5 +248,5 @@
 						<mx:columns>
 							<mx:DataGridColumn dataField="fileName" headerText="Name"/>
-							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="130">
+							<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="110">
 								<mx:itemRenderer>
 									<mx:Component>
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 461)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 462)
@@ -247,5 +247,5 @@
 	
 	<code:MDICanvas id="mdiCanvas" width="100%" height="100%" backgroundColor="#FFFFFF" backgroundAlpha="0">
-		<s:VGroup paddingLeft="64" width="100%" height="100%">
+		<s:VGroup paddingLeft="64" width="100%" height="90%">
 			<mx:HDividedBox width="100%" height="100%">
 				<mx:AdvancedDataGrid height="100%" width="100%" labelField="@label" id="tree"
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 461)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 462)
@@ -280,5 +280,5 @@
 								<mx:columns>
 									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="60">
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="90">
 										<mx:itemRenderer>
 											<mx:Component>
@@ -302,5 +302,5 @@
 								<mx:columns>
 									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="60">
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="90">
 										<mx:itemRenderer>
 											<mx:Component>
@@ -323,5 +323,5 @@
 								<mx:columns>
 									<mx:DataGridColumn dataField="fileName" headerText="{resourceManager.getString('ExperimentEditor', 'Name')}"/>
-									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="60">
+									<mx:DataGridColumn headerText="{resourceManager.getString('ExperimentEditor', 'Actions')}" width="90">
 										<mx:itemRenderer>
 											<mx:Component>