Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 458)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 468)
@@ -165,14 +165,17 @@
 				<!--<charts:ResourceViewer width="100%" height="100%" />-->
 			</mx:VBox>
-			<mx:VBox width="100%" height="100%" id="ganntChart" label="{resourceManager.getString('ArchiveViewer', 'Task')}" visible="false" includeInLayout="false">
-				<charts:GanntChart scheduleViewerHeight="{this.height - 200}" scheduleViewerWidth="{this.width - 220}" id="gannt" />
-			</mx:VBox>
 			<mx:VBox width="100%" height="100%" id="ganntImgChart" label="{resourceManager.getString('ArchiveViewer', 'Task')}">
-				<mx:HBox>
-					<mx:Canvas width="100%" height="100%" backgroundColor="white" id="canvas">
-						<components:MultiImageContainer id="mimg" />
-					</mx:Canvas>
-					<components:MultiImageNavigator id="nav" width="300" height="300" includeInLayout="false" visible="false" />
-				</mx:HBox>
+				<mx:TabNavigator width="100%" height="100%">
+					<mx:HBox label="{resourceManager.getString('ArchiveViewer','GeneralGannt')}" width="100%" height="100%">
+						<mx:Canvas width="100%" height="100%" backgroundColor="white" id="canvas">
+							<components:MultiImageContainer id="mimg" />
+						</mx:Canvas>
+						<components:MultiImageNavigator id="nav" width="300" height="300" includeInLayout="false" visible="false" />
+					</mx:HBox>
+					<mx:HBox label="{resourceManager.getString('ArchiveViewer','DetailedGannt')}" width="100%" height="100%">
+						<charts:GanntChart scheduleViewerHeight="{this.height - 200}" scheduleViewerWidth="{this.width - 220}" id="gannt" />
+					</mx:HBox>
+				</mx:TabNavigator>
+				
 			</mx:VBox>
 		</mx:TabNavigator>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/charts/ResourceChart.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/charts/ResourceChart.mxml	(revision 467)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/charts/ResourceChart.mxml	(revision 468)
@@ -247,15 +247,14 @@
 		<mx:DateFormatter id="df" formatString="EEE, J:NN:S"/>
 		
-		<!--
 		<charts:ChartScroller chart="{resourceViewer}" chartMouseEnabled="true" verticalScrollEnabled="true" verticalZoomEnabled="true" />
-		-->
-		
+	
 	</fx:Declarations>
 		
 	<mx:VBox width="100%" height="100%">
-		<mx:HBox>
+		<mx:HBox width="100%">
 			<mx:ComboBox dataProvider="{parentApplication.gsSimStudioModel.resourceChartComponents['' + expId].resourceList}" labelFunction="resourceLabelFunction" id="resourceComboBox"
 						 change="onServerComboChange(event)" selectedIndex="{parentApplication.gsSimStudioModel.resourceChartComponents['' + expId].selectedResourceIndex}" />
 			<mx:ComboBox dataProvider="{chartTypeAC}" id="chartTypeComboBox" change="onServerComboChange(event)"/>
+			<mx:Spacer width="100%" />
 			<mx:Button label="{resourceManager.getString('Charts', 'Clone')}" click="cloneChart()"/>
 			<mx:Button label="{resourceManager.getString('Charts', 'ToPNG')}" click="saveAsPNG();"/>
@@ -298,12 +297,4 @@
 				        </mx:verticalAxis>
 				
-						<mx:horizontalAxisRenderers>
-							<charts:ScrollableAxisRenderer axis="{hAxis}" tickPlacement="none" placement="bottom" labelGap="3" />
-						</mx:horizontalAxisRenderers>
-						
-						<mx:verticalAxisRenderers>
-							<charts:ScrollableAxisRenderer axis="{vAxis}" tickPlacement="none" placement="bottom" labelGap="3" />
-						</mx:verticalAxisRenderers>
-						
 						<mx:series>
 				            <mx:AreaSeries 
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 462)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ArchiveViewer.mxml	(revision 468)
@@ -272,4 +272,5 @@
 			</mx:HDividedBox>
 			<s:Button label="{resourceManager.getString('ArchiveViewer', 'Refresh')}" click="getExperiments()"/>
+			<s:Button label="{resourceManager.getString('ArchiveViewer', 'Details')}" click="experimentView(null)"/>
 			
 			<s:Group>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties	(revision 420)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ArchiveViewer.properties	(revision 468)
@@ -8,7 +8,11 @@
 Move=PrzenieÅ do innej grupy
 
+DetailedGannt=Wykres szczegÃ³Åowy
+GeneralGannt=Wykres ogÃ³lny
+
 CommissionDate=Zlecono
 Status=Status
 Refresh=OdÅwieÅŒ
+Details=SzczegÃ³Åy
 
 OK=ZatwierdÅº
@@ -20,5 +24,5 @@
 
 Basic=Informacje podstawowe
-Resource=Wykres sÅupkowy
+Resource=Wykres zasobÃ³w
 Task=Wykres zadaÅ (Gannt)
 Line=Wykres liniowy
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties	(revision 438)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ArchiveViewer.properties	(revision 468)
@@ -7,7 +7,11 @@
 Move=Move to another group
 
+DetailedGannt=Detailed Gannt
+GeneralGannt=General Gannt
+
 CommissionDate=Submitted
 Status=Status
 Refresh=Refresh
+Details=Details
 
 OK=Confirm
@@ -16,5 +20,5 @@
 
 Basic=Basic info
-Resource=Column chart
+Resource=Resource chart
 Task=Gannt chart
 Line=Line chart